## calligra 2.9.9

=== CMakeLists.txt ===
project(calligra)

cmake_minimum_required(VERSION 2.8.0 FATAL_ERROR)

cmake_policy(SET CMP0002 OLD)
#cmake_policy CMP0017 was introduced in version 2.8.4
if(${CMAKE_VERSION} VERSION_GREATER 2.8.3)
    cmake_policy(SET CMP0017 NEW)
endif()

if(${CMAKE_VERSION} VERSION_GREATER 2.8.12)
    cmake_policy(SET CMP0022 OLD)
endif()

if(${CMAKE_VERSION} VERSION_GREATER 3.0.0)
    cmake_policy(SET CMP0026 OLD) 
    cmake_policy(SET CMP0046 OLD)
endif()



 ######################
#######################
## Constants defines ##
#######################
######################

# define common versions of Calligra applications, used to generate calligraversion.h
# update these version for every release:
set(CALLIGRA_VERSION_STRING "2.9.9")
set(CALLIGRA_VERSION_MAJOR 2)
set(CALLIGRA_STABLE_VERSION_MINOR 9)
set(CALLIGRA_VERSION_RELEASE 9)  # 89 for Alpha, increase for next test releases, set 0 for first Stable, etc.
#set(CALLIGRA_ALPHA 1) # uncomment only for Alpha
#set(CALLIGRA_BETA 1) # uncomment only for Beta
#set(CALLIGRA_RC 1) # uncomment only for RC
set(CALLIGRA_YEAR 2015) # update every year

if(NOT DEFINED CALLIGRA_ALPHA AND NOT DEFINED CALLIGRA_BETA AND NOT DEFINED CALLIGRA_RC)
    set(CALLIGRA_STABLE 1) # do not edit
endif()

message(STATUS "Calligra version: ${CALLIGRA_VERSION_STRING}")

# define the generic version of the Calligra libraries here
# this makes it easy to advance it when the next Calligra release comes
if(CALLIGRA_VERSION_MAJOR EQUAL 2)
    math(EXPR GENERIC_CALLIGRA_LIB_VERSION_MAJOR "${CALLIGRA_STABLE_VERSION_MINOR} + 5")
else()
    # let's make sure we won't forget to update the "5"
    message(FATAL_ERROR "Reminder: please update offset == 5 used to compute GENERIC_CALLIGRA_LIB_VERSION_MAJOR to something bigger")
endif()
set(GENERIC_CALLIGRA_LIB_VERSION "${GENERIC_CALLIGRA_LIB_VERSION_MAJOR}.0.0")
set(GENERIC_CALLIGRA_LIB_SOVERSION "${GENERIC_CALLIGRA_LIB_VERSION_MAJOR}")

set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules )

# fetch git revision for the current build

set(CALLIGRA_GIT_SHA1_STRING "")
set(CALLIGRA_GIT_BRANCH_STRING "")

include(GetGitRevisionDescription)
get_git_head_revision(GIT_REFSPEC GIT_SHA1)
get_git_branch(GIT_BRANCH)

if(GIT_SHA1 AND GIT_BRANCH)
    string(SUBSTRING ${GIT_SHA1} 0 7 GIT_SHA1)
    set(CALLIGRA_GIT_SHA1_STRING ${GIT_SHA1})
    set(CALLIGRA_GIT_BRANCH_STRING ${GIT_BRANCH})
endif()

if(NOT DEFINED RELEASE_BUILD)
    # estimate mode by CMAKE_BUILD_TYPE content if not set on cmdline
    string(TOLOWER "${CMAKE_BUILD_TYPE}" CMAKE_BUILD_TYPE_TOLOWER)
    set(RELEASE_BUILD_TYPES "release" "relwithdebinfo" "minsizerel" "debian")
    list(FIND RELEASE_BUILD_TYPES "${CMAKE_BUILD_TYPE_TOLOWER}" INDEX)
    if (INDEX EQUAL -1)
        set(RELEASE_BUILD FALSE)
    else()
        set(RELEASE_BUILD TRUE)
    endif()
endif()
message(STATUS "Release build: ${RELEASE_BUILD}")

 ############
#############
## Options ##
#############
############

option(USEOPENGL "Allow the use of OpenGL for Krita" ON)
if (WIN32)
    option(USE_BREAKPAD "Build the crash handler for Krita (only on windows)" OFF)
endif ()
option(GHNS "support Get Hot New Stuff" OFF)
# TODO: orthogonal setting, results in minimal features, yet needs to be defined
# option(TINY "compile a tiny Calligra" OFF)

option(PACKAGERS_BUILD "Build support of multiple CPU architectures in one binary. Should be used by packagers only." ON)

# TODO: remove option and migration code below before 3.0 release
option(CREATIVEONLY "compile only Karbon and Krita" OFF)

 #######################
########################
## Productset setting ##
########################
#######################

# For predefined productsets see the definitions in CalligraProducts.cmake and
# in the files in the folder cmake/productsets.

# Finding out the products & features to build is done in 5 steps:
# 1. have the user define the products/features wanted, by giving a productset
# 2. estimate all additional required products/features
# 3. estimate which of the products/features can be build by external deps
# 4. find which products/features have been temporarily disabled due to problems
# 5. estimate which of the products/features can be build by internal deps

# get the special macros
include(CalligraProductSetMacros)
include(MacroJPEG)

# get the definitions of products, features and product sets
include(CalligraProducts.cmake)

set(PRODUCTSET_DEFAULT "ALL")
# temporary migration support
if (CREATIVEONLY)
    set(WARN_ABOUT_CREATIVEONLY TRUE)
    set(PRODUCTSET_DEFAULT "CREATIVE")
endif ()

if(NOT PRODUCTSET)
    set(PRODUCTSET ${PRODUCTSET_DEFAULT} CACHE STRING "Set of products/features to build" FORCE)
endif()

if (RELEASE_BUILD)
    set(CALLIGRA_SHOULD_BUILD_STAGING FALSE)
else ()
    set(CALLIGRA_SHOULD_BUILD_STAGING TRUE)
endif ()

# finally choose products/features to build
calligra_set_productset(${PRODUCTSET})

 ########################
#########################
## Look for KDE and Qt ##
#########################
########################
set(KDE_MIN_VERSION "4.3.0")
find_package(KDE4 4.3.0 REQUIRED)

find_package(Qt4 4.6.0 REQUIRED QtCore QtGui QtXml QtScript QtSvg QtTest QtWebKit QtDBus)

if (USEOPENGL)
    find_package(Qt4 4.6.0 REQUIRED QtOpenGL)
endif ()


include (KDE4Defaults)
include (MacroLibrary)
include (MacroAdditionalCleanFiles)
include (MacroAddFileDependencies)

if ((${QTVERSION} VERSION_EQUAL 4.8.0) OR (${QTVERSION} VERSION_EQUAL 4.8.1))
    if (NOT IHAVEPATCHEDQT)
        set(SHOULD_BUILD_PART_WORDS FALSE)
        set(SHOULD_BUILD_PART_STAGE FALSE)
        set(SHOULD_BUILD_PLUGIN_TEXTSHAPE FALSE)
        set(SHOULD_BUILD_PLUGIN_TEXTEDITING FALSE)
        message(STATUS "WARNING: You are using a version of Qt that causes crashes. As a result Words and Stage will not be built. Please upgrade to 4.8.2. You can also patch Qt and when building Calligra set IHAVEPATCHEDQT. Patch against Qt can be found in qt48setx.patch")
    endif ()
endif ()

if (GHNS)
    if(NOT ${KDE_VERSION} VERSION_GREATER 4.4.0)
        set(GHNS FALSE)
    endif()

    macro_optional_find_package(LibAttica)
    macro_log_feature(LIBATTICA_FOUND "LibAttica" "Attica is used for Get Hot New Stuff." "https://projects.kde.org/projects/kdesupport/attica" FALSE "" "You need at least version 3.0 for uploading of resources to work.")

    if (NOT LIBATTICA_FOUND)
        set(GHNS FALSE)
    else ()
        message(STATUS "WARNING: You are compiling with Get Hot New Stuff enabled. Do not do that when building distribution packages. GHNS is unusable these days until someone starts maintaining it again.")
    endif ()
endif ()

macro_ensure_out_of_source_build("Compiling Calligra inside the source directory is not possible. Please refer to the build instruction http://community.kde.org/Calligra/Building/Building_Calligra")

if(KDE4_BUILD_TESTS)
    # only with this definition will the FOO_TEST_EXPORT macro do something
    add_definitions(-DCOMPILING_TESTS)
endif()

# overcome some platform incompatibilities
if(WIN32)
    include_directories(${CMAKE_CURRENT_SOURCE_DIR}/winquirks)
    add_definitions(-D_USE_MATH_DEFINES)
    add_definitions(-DNOMINMAX)
    set(WIN32_PLATFORM_NET_LIBS ws2_32.lib netapi32.lib)
endif()

# would need more code changes before 4.8.0, e.g. with qPrintable()
if(NOT ${QTVERSION} VERSION_LESS 4.8.0)
    # enable QStringBuilder enhancement
    add_definitions(
        -DQT_USE_FAST_CONCATENATION
        -DQT_USE_FAST_OPERATOR_PLUS
    )
endif()


 ###########################
############################
## Required dependencies  ##
############################
###########################

find_package(Perl REQUIRED)
find_package(ZLIB REQUIRED)
find_package(PNG REQUIRED)
if (APPLE)
    # this is not added correctly on OSX -- see http://forum.kde.org/viewtopic.php?f=139&t=101867&p=221242#p221242
    include_directories(${PNG_INCLUDE_DIR})
endif()

add_definitions(-DBOOST_ALL_NO_LIB)
find_package(Boost REQUIRED COMPONENTS system) # for pigment and stage
if (NOT Boost_FOUND)
    message(FATAL_ERROR "Did not find Boost. Boost is required for the core libraries, stage, sheets and krita.")
endif ()

if (APPLE)
   find_package(Carbon REQUIRED)
endif ()

 ###########################
############################
## Optional dependencies  ##
############################
###########################

##
## Test for sqlite
##
set(SQLITE_MIN_VERSION 3.6.16)
set(SQLITE_RECOMMENDED_VERSION 3.8.11)
set(SQLITE_LOAD_EXTENSION_REQUIRED ON)
macro_optional_find_package(CalligraSqlite ${SQLITE_MIN_VERSION})
macro_bool_to_01(SQLITE_FOUND HAVE_SQLITE)
macro_log_feature(SQLITE_FOUND "SQLite" "Embedded SQL database engine with enabled extensions loading"
                  "http://www.sqlite.org" FALSE "${SQLITE_MIN_VERSION}"
                  "Required by Calligra's default database handler for Kexi and bibliography in Words.")

##
## Test for ICU
##
macro_optional_find_package(ICU)
macro_bool_to_01(ICU_FOUND HAVE_ICU)
macro_log_feature(ICU_FOUND "ICU" "International Components for Unicode (ICU) Library"
                  "http://icu-project.org" FALSE ""
                  "Required by Calligra's default database handler for Kexi and Words.")

##
## Check for OpenEXR
##

macro_optional_find_package(OpenEXR)
macro_bool_to_01(OPENEXR_FOUND HAVE_OPENEXR)
macro_log_feature(OPENEXR_FOUND "OpenEXR" "High dynamic-range (HDR) image file format" "http://www.openexr.com" FALSE "" "Required by the Krita OpenEXR filter")

##
## Look for OpenGL
##
set(HAVE_OPENGL 0)
if (USEOPENGL)
    macro_optional_find_package(OpenGL)

    if(OPENGL_FOUND)
        message(STATUS "Found OpenGL: ${OPENGL_LIBRARIES}")
        if(QT_QTOPENGL_FOUND)
            message(STATUS "Found Qt OpenGL support")
            set(HAVE_OPENGL 1)
        else()
            message(STATUS "Did NOT find Qt OpenGL support. Check your Qt configuration")
        endif()
    else()
        message(STATUS "Did NOT find OpenGL libraries")
    endif()
    macro_log_feature(HAVE_OPENGL "OpenGL" "OpenGL support" "" FALSE "" "Required by Gemini, parts of Krita and optionally by flake")
endif()

##
## Test for GNU Scientific Library
##
macro_optional_find_package(GSL)
macro_log_feature(GSL_FOUND "GSL" "GNU Scientific Library" "http://www.gnu.org/software/gsl"
                  FALSE "1.7" "Required by Krita's Transform tool and Sheets' solver plugin")
macro_bool_to_01(GSL_FOUND HAVE_GSL)
configure_file(config-gsl.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-gsl.h )

##
## Test for kdepimlibs
##
macro_optional_find_package(KdepimLibs 4.6.0)
macro_log_feature(KDEPIMLIBS_FOUND "KDE PIMLibs" "KDE Personal Information Management Libraries" "http://www.kde.org/" FALSE "" "Required by Plan and the KDE address book integration (available as a module in KDE)")

##
## Test for eigen3
##
macro_optional_find_package(Eigen3)
macro_log_feature(EIGEN3_FOUND "Eigen" "C++ template library for linear algebra" "http://eigen.tuxfamily.org" FALSE "3.0" "Required by Calligra Sheets and Krita")

##
## Test for QCA2
##
macro_optional_find_package(QCA2)
macro_log_feature(QCA2_FOUND "QCA" "Qt Cryptographic Architecture" "http://delta.affinix.com/qca" FALSE "2.0" "Required for encrypted OpenDocument files and encrypted xls files support (available as a module in kdesupport)")

##
## Test for exiv2
##
set(EXIV2_MIN_VERSION "0.16")
macro_optional_find_package(Exiv2)
macro_log_feature(EXIV2_FOUND "Exiv2" "Image metadata library and tools" "http://www.exiv2.org" FALSE "0.16" "Required by Krita")

##
## Test for soprano
##
macro_optional_find_package(Soprano)
macro_log_feature(Soprano_FOUND "Soprano" "KDE4 RDF handling library" "http://soprano.sourceforge.net/" FALSE "" "Required to handle RDF metadata in ODF")
if(NOT Soprano_FOUND)
    set(SOPRANO_INCLUDE_DIR "")
endif()


##
## Test for marble
##
set(MARBLE_MIN_VERSION "0.19.2")
macro_optional_find_package(CalligraMarble)
if(NOT MARBLE_FOUND)
    set(CAN_USE_MARBLE FALSE)
    set(MARBLE_INCLUDE_DIR "")
else()
    set(CAN_USE_MARBLE TRUE)

=== qtquick/CMakeLists.txt ===
project(calligraqtquickcomponents)

# While it is not standard practice to make use of this, we have to do so here:
# Qt Quick components have to be located in some discoverable location, known
# as the Qt Quick Components Import directory. This can be any number of
# locations, but most importantly it must be inside the library location, as
# they tend to be binary plugins, like this one is. As it turns out, GNUInstallDirs
# is broken in some linux distributions, but we must consider this a bug in the
# distribution, which needs to be fixed.
#
# An example (based on this plugin) of how Qt Quick locates modules:
# A qml file requires a module by having the statement
# import org.calligra.CalligraComponents 1.0
# and this will cause Qt Quick to look through its list of import locations for
# a directory structure matching
# (importdir)/org/calligra/CalligraComponents/qmldir
# The qmldir file is important, and defines the module as one such (see Qt
# documentation for details on how to construct one). For us, it defines
# specifically the module's library file with the like
# plugin calligraqtquickcomponentsplugin
# which makes Qt Quick look in the same directory (and only there) for a file
# which matches that description. On various Unixes this would be
# libcalligratquickcomponents.so
# and on Windows it is
# calligraqtquickcomponents.dll
#
# So, in short - because this is binary, executable data, we can't put it in e.g.
# the data dir (for which we would not need GNUInstallDirs), and as it is a library
# we also cannot put it in the binaries dir. In short, it must be the library
# location, and without GNUInstallDirs, this turns out to be very difficult/awkward
#
# Personal note:
# It is perhaps also worth mentioning that this has been gone over several times
# by various people, and changing the method keeps breaking in various places, and
# in particular on Windows, which as always is a second class citizen (unsurprisingly,
# but it simply means it doesn't get tested as rigorously, and wellmeaning changes
# such as install location changes have wide reaching consequences for these less
# well supported targets).
# This would be worth revisiting for the Frameworks 5 port, where i believe certain
# changes have been made to the cmake system, to accommodate the Qt Quick plugins
# built for Plasma 5. At that time, we can switch to using the same installation
# methodology as is used there. Until then, i would prefer to not break things
# any further by attempting to "fix" this by not using GNUInstallDirs and switching
# back to using something which doesn't work on Windows.
include(GNUInstallDirs)

set(calligraqtquickcomponents_SRCS
    CQThumbnailItem.cpp
    CQPresentationModel.cpp
#    CQSpreadsheetListModel.cpp
    CQCanvasBase.cpp
    CQCanvasControllerItem.cpp
#    CQSpreadsheetCanvas.cpp
    CalligraQtQuickComponentsPlugin.cpp
    CQCanvasController.cpp
    CQTextDocumentCanvas.cpp
    CQTextDocumentModel.cpp
    CQImageProvider.cpp
    CQPresentationView.cpp
    CQPresentationCanvas.cpp
    CQTextToCModel.cpp
    CQPluginLoaderProxy.cpp
    CQLinkArea.cpp
    CQTextDocumentNotesModel.cpp
)

include_directories(
    ${CMAKE_SOURCE_DIR}
    ${CMAKE_BINARY_DIR}
    ${KOMAIN_INCLUDES}
    ${CMAKE_SOURCE_DIR}/words/part
    ${CMAKE_SOURCE_DIR}/words/gemini
#    ${CMAKE_SOURCE_DIR}/sheets
    ${CMAKE_SOURCE_DIR}/libs/kopageapp
)

automoc4_add_library(calligraqtquickcomponentsplugin MODULE ${calligraqtquickcomponents_SRCS})

target_link_libraries(calligraqtquickcomponentsplugin
    ${QT_QTDECLARATIVE_LIBRARY}
    ${QT_QTOPENGL_LIBRARY}
    ${QT_LIBRARIES}
    komain
    kotextlayout
    wordsprivate
#    calligrasheetscommon
    kopageapp
    calligrastageprivate)

install(TARGETS calligraqtquickcomponentsplugin
    DESTINATION /usr/lib/calligra/imports/org/calligra/CalligraComponents)
install(FILES qmldir DESTINATION /usr/lib/calligra/imports/org/calligra/CalligraComponents)

=== gemini/cloud/dropbox/CMakeLists.txt ===
set(dropbox_lib_SRCS
    3rdparty/droprestapi.cc
    3rdparty/filetransferitem.cc
    3rdparty/folderitem.cc
    3rdparty/json.cc
    3rdparty/listmodel.cc
    3rdparty/networkcontroller.cc
    3rdparty/oauth.cc
    3rdparty/options.cc
)

set(dropbox_plugin_SRCS
    controller.cc
    dropboxplugin.cpp)

automoc4_add_library(calligrageminidropboxplugin MODULE ${dropbox_plugin_SRCS} ${dropbox_lib_SRCS})

target_link_libraries(calligrageminidropboxplugin
    ${QT_QTDECLARATIVE_LIBRARY}
    ${QT_QTGUI_LIBRARIES}
    ${QT_QTCORE_LIBRARIES}
    ${QT_QTNETWORK_LIBRARIES}
)

install(TARGETS calligrageminidropboxplugin DESTINATION /usr/lib/calligra/imports/Calligra/Gemini/Dropbox)
install(FILES   qmldir                      DESTINATION /usr/lib/calligra/imports/Calligra/Gemini/Dropbox)

=== krita/sketch/draganddrop/CMakeLists.txt ===
include(GNUInstallDirs)

set(declarativedragdrop_SRCS
    draganddropplugin.cpp
    DeclarativeDragArea.cpp
    DeclarativeDragDropEvent.cpp
    DeclarativeDropArea.cpp
    DeclarativeMimeData.cpp
    )

include_directories(
        ${CMAKE_SOURCE_DIR}
        ${CMAKE_BINARY_DIR}
        ${KDE4_INCLUDES}
)

qt4_automoc(${declarativedragdrop_SRCS})


kde4_add_library(draganddropplugin SHARED ${declarativedragdrop_SRCS})
target_link_libraries(draganddropplugin ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${QT_QTDECLARATIVE_LIBRARY})

install(TARGETS draganddropplugin DESTINATION /usr/lib/calligra/imports/org/krita/draganddrop)

install(FILES qmldir DESTINATION /usr/lib/calligra/imports/org/krita/draganddrop)

=== debian/changelog ===
calligra (1:2.9.9-1mx150+1) mx; urgency=medium

  * Repackaged for MX 15.
  * Disabled calligra-dbg package.

 -- Mike Purtell <mandbx@sbcglobal.net>  Thu, 26 Nov 2015 09:05:30 -0800

calligra (1:2.9.9-1) mx; urgency=medium

  * Repackaged for MX 15.
  * Disabled calligra-dbg package.

 -- Mike Purtell <mandbx@sbcglobal.net>  Wed, 25 Nov 2015 19:14:53 -0800

=== debian/control ===
Source: calligra
Section: kde
Priority: optional
Maintainer: Mike Purtell (mmikeinsantarosa) <maintainer@mepiscommunity.org>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Adrien Grellier <adrien.grellier@laposte.net>,
           Raúl Sánchez Siles <rasasi78@gmail.com>
Build-Depends: cauchy-dev,
               cmake (>= 2.6.2),
               debhelper (>= 9),
               freetds-dev,
               kdelibs5-dev (>= 4:4.4.0),
               kdepimlibs5-dev (>= 4:4.4.3),
               libattica-dev,
               libboost-dev,
               libboost-system-dev,
               libeigen3-dev,
               libetonyek-dev,
               libexiv2-dev,
               libfftw3-dev,
               libfontconfig1-dev,
               libfreetype6-dev,
               libglew-dev [!armel !armhf !arm64],
               libglib2.0-dev,
               libgsl0-dev,
               libicu-dev,
               libjpeg-dev,
               libkactivities-dev,
               libkdcraw-dev (>= 4:4.4.3),
               liblcms2-dev,
               libmysqlclient-dev,
               libodfgen-dev,
               libopencolorio-dev [!armhf],
               libopenexr-dev,
               libopenjpeg-dev,
               libphononexperimental-dev,
               libpng-dev,
               libpoppler-private-dev,
               libpoppler-qt4-dev,
               libpq-dev,
               libpqxx3-dev,
               libqca2-dev,
               libqt4-dev,
               libqt4-opengl-dev [!armhf],
               libqtwebkit-dev,
               libsoprano-dev,
               libspnav-dev,
               libsqlite3-dev,
               libtiff-dev,
               libvisio-dev,
               libwpd-dev (>= 0.9.1),
               libwpg-dev (>= 0.2.0),
               libwps-dev,
               libxbase64-dev,
               libxi-dev,
               okular-dev (>= 4:4.12.90),
               pkg-kde-tools (>= 0.9),
               pstoedit,
               shared-desktop-ontologies,
               shared-mime-info,
               vc-dev [!powerpc !armhf !arm64 !ppc64el],
               zlib1g-dev,
               libmarble-dev,
               libmariadb-client-lgpl-dev,
               postgresql
Standards-Version: 3.9.6
Homepage: http://www.calligra-suite.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/calligra
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/calligra
X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-std/calligra.git
X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-std/calligra.git

Package: calligra
Architecture: all
Depends: braindump (>= ${source:Version}),
         calligraauthor (>= ${source:Version}),
         calligraflow (>= ${source:Version}),
         calligraplan (>= ${source:Version}),
         calligrasheets (>= ${source:Version}),
         calligrastage (>= ${source:Version}),
         calligrawords (>= ${source:Version}),
         karbon (>= ${source:Version}),
         kexi (>= ${source:Version}),
         krita (>= ${source:Version}),
         ${misc:Depends}
Homepage: http://www.calligra-suite.org
Description: extensive productivity and creative suite
 Calligra Suite is a set of applications written to help you to accomplish
 your work. It includes office applications such as a word processor,
 a spreadsheet, a presentation program, a database application, etc., and
 raster and vector graphics tools.
 .
 This metapackage provides all the components of the Calligra Suite.

Package: karbon
Architecture: any
Section: graphics
Depends: calligra-libs (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: pstoedit
Breaks: calligra-data (<< 1:2.6.4-0ubuntu1), koffice-data (<< 1:2.4)
Replaces: calligra-data (<< 1:2.6.4-0ubuntu1), koffice-data (<< 1:2.4)
Homepage: http://www.calligra-suite.org/karbon/
Description: vector graphics application for the Calligra Suite
 Karbon is a vector drawing application with an user interface that is easy to
 use, highly customizable and extensible. That makes Karbon a great application
 for users starting to explore the world of vector graphics as well as for
 artists wanting to create breathtaking vector art. Features include:
 .
  * Loading support for ODG, SVG, WMF, WPG, EPS/PS
  * Writing support for ODG, SVG, WMF, PNG, PDF
  * Customizable user interface with freely placeable toolbars and dockers
  * Layer docker for easy handling of complex documents including preview
    thumbnails, support for grouping shapes via drag and drop,
    controlling visibility of shapes or locking
  * Advanced path editing tool with great on-canvas editing capabilities
  * Various drawing tools for creating path shapes including a draw path
    tool and a pencil tool, as well as a calligraphy drawing tool
  * Gradient and pattern tools for easy on-canvas editing of gradient and
    pattern styles
  * Top notch snapping facilities for guided drawing and editing (e.g.
    snapping to grid, guide lines, path nodes, bounding boxes, orthogonal
    positions, intersections of path shapes or extensions of lines and
    paths)
  * Many predefined basic shapes included, such as circle/ellipse, star or
    rectangle
  * Artistic text shape with support for following path outlines
    (i.e. text on path)
  * Complex path operations and effects like Boolean set operations,
    path flattening, rounding and refining as well as whirl/pinch effects
  * Extensible by writing plugins for new tools, shapes and dockers
 .
 This package is part of the Calligra Suite.

Package: kexi
Architecture: any
Section: database
Depends: calligra-libs (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: kexi-calligrasheets-driver,
          kexi-mysql-driver,
          kexi-sybase-driver,
          kexi-xbase-driver
Replaces: koffice-doc-html
Conflicts: koffice-doc-html
Homepage: http://www.calligra-suite.org/kexi/
Description: integrated database environment for the Calligra Suite
 Kexi is an integrated data management application. It can be used for
 creating database schemas, inserting data, performing queries, and
 processing data. Forms can be created to provide a custom interface to
 your data. All database objects - tables, queries and forms - are stored
 in the database, making it easy to share data and design.
 .
 Kexi is considered as a long awaited Open Source competitor for MS Access,
 Filemaker and Oracle Forms. Its development is motivated by the lack of
 Rapid Application Development (RAD) tools for database systems that are
 sufficiently powerful, inexpensive, open standards driven and portable
 across many operating systems and hardware platforms.
 .
 This package is part of the Calligra Suite.

Package: kexi-calligrasheets-driver
Architecture: any
Depends: calligrasheets (= ${binary:Version}),
         kexi (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Sheets plugin for Kexi
 Kexi is an integrated data management application. It can be used for
 creating database schemas, inserting data, performing queries, and
 processing data. Forms can be created to provide a custom interface to
 your data. All database objects - tables, queries and forms - are stored
 in the database, making it easy to share data and design.
 .
 This package provides support for Calligra Sheets in Kexi.
 .
 This package is part of the Calligra Suite.

Package: kexi-mysql-driver
Architecture: any
Section: database
Depends: kexi (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Breaks: kexi (<< 1:2.3.70)
Replaces: kexi (<< 1:2.3.70)
Description: MySQL support for kexi
 Kexi is an integrated data management application. It can be used for
 creating database schemas, inserting data, performing queries, and
 processing data. Forms can be created to provide a custom interface to
 your data. All database objects - tables, queries and forms - are stored
 in the database, making it easy to share data and design.
 .
 This package provides support for MySQL in Kexi.
 .
 This package is part of the Calligra Suite.

Package: kexi-xbase-driver
Architecture: any
Section: database
Depends: kexi (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Breaks: kexi (<< 1:2.3.70)
Replaces: kexi (<< 1:2.3.70)
Description: XBase support for kexi
 Kexi is an integrated data management application. It can be used for
 creating database schemas, inserting data, performing queries, and
 processing data. Forms can be created to provide a custom interface to
 your data. All database objects - tables, queries and forms - are stored
 in the database, making it easy to share data and design.
 .
 This package provides support for XBase in Kexi.
 .
 This package is part of the Calligra Suite.

Package: kexi-sybase-driver
Architecture: any
Section: database
Depends: kexi (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Breaks: kexi (<< 1:2.3.70)
Replaces: kexi (<< 1:2.3.70)
Description: Sybase support for kexi
 Kexi is an integrated data management application. It can be used for
 creating database schemas, inserting data, performing queries, and
 processing data. Forms can be created to provide a custom interface to
 your data. All database objects - tables, queries and forms - are stored
 in the database, making it easy to share data and design.
 .
 This package provides support for Sybase in Kexi.
 .
 This package is part of the Calligra Suite.

Package: kexi-web-form-widget
Architecture: any
Section: database
Depends: kexi (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Breaks: kexi (<< 1:2.3.70)
Replaces: kexi (<< 1:2.3.70)
Description: web form widget for Kexi
 Kexi is an integrated data management application. It can be used for
 creating database schemas, inserting data, performing queries, and
 processing data. Forms can be created to provide a custom interface to
 your data. All database objects - tables, queries and forms - are stored
 in the database, making it easy to share data and design.
 .
 This package provides a web widget for Kexi using QtWebKit.
 .
 This package is part of the Calligra Suite.

Package: calligra-reports-web-element
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: web element for Calligra Reports
 Calligra Suite is a set of applications written to help you to accomplish
 your work. It includes office applications such as a word processor,
 a spreadsheet, a presentation program, a database application, etc., and
 raster and vector graphics tools.
 .
 This package provides a web element for Calligra Reports, based on QtWebKit.
 .
 This package is part of the Calligra Suite.

Package: krita
Architecture: any
Section: graphics
Depends: calligra-libs (= ${binary:Version}),
         krita-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: khelpcenter
Breaks: calligra-libs (<< 1:2.8.1), krita-data (<< 1:2.8.1)
Replaces: calligra-libs (<< 1:2.8.1), krita-data (<< 1:2.8.1)
Homepage: http://www.calligra-suite.org/krita/
Description: pixel-based image manipulation program for the Calligra Suite
 Krita is a creative application for raster images. Whether you want to create
 from scratch or work with existing images, Krita is for you. You can work with
 photos or scanned images, or start with a blank slate. Krita supports most
 graphics tablets out of the box.
 .
 Krita is different from other graphics design programs in that it has
 pluggable brush engines, some supporting brush resources like Gimp brush files,
 others offering sophisticated simulation of real brushes, and others again
 offering color mixing and image deformations. Moreover, Krita has full
 support for graphics tablets, including such features as pressure, tilt and
 rate, making it a great choice for artists. There are easy to use tools for
 drawing lines, ellipses and rectangles, and the freehand tool is supported by

=== debian/rules ===
#!/usr/bin/make -f

lib_pkgs := calligra-libs

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --parallel --with kde --with sodeps

override_dh_auto_configure:
	dh_auto_configure -Skde -- -DKDE4_BUILD_TESTS=OFF -DPRODUCTSET=ALL

override_dh_install:
	dh_movelibkdeinit
	dh_install --list-missing
	#lut and open gl are !arm, this needs made more eloquent
ifeq ($(DEB_HOST_ARCH),i386)
	dh_install --autodest -pkrita usr/lib/kde4/kritalutdocker.so
	dh_install --autodest -pkrita usr/share/kde4/services/calligra/krita_lutdocker.desktop
endif
ifeq ($(DEB_HOST_ARCH),amd64)
	dh_install --autodest -pkrita usr/lib/kde4/kritalutdocker.so
	dh_install --autodest -pkrita usr/share/kde4/services/calligra/krita_lutdocker.desktop
endif

override_dh_shlibdeps:
	dh_shlibdeps $(addprefix -p,$(lib_pkgs)) -- -xkde-runtime -xkdepim-runtime
	dh_shlibdeps --remaining-packages

.PHONY: override_dh_auto_test

## calligra 2.9.11

=== debian/changelog ===
calligra (1:2.9.11-0ubuntu1) yakkety; urgency=medium

  [ Clive Johnston ]
  * New upstream bugfix release
    - Fix install files
    - Fix typo in control file (fonst-lyx)
    - Add new build deps
    - Remove calligramini.install as it is no longer
      supported upstream
    - Fix not-installed
    - Remove upstream_qmax.diff - applied upstream
    - Set QT version to 4
    - Add qt-kde-team/2/ import to rules
    - Set PRODUCTSET=desktop in rules

  [ José Manuel Santamaría Lema ]
  * Fix openexr building:
    - Re-add libopenexr-dev build dependency.
    - Add dont_use_eigen3_namespace.diff
  * Add okular-backend-odt package.
  * Add patches from debian to fix possible FTBFS'es:
    - upstream_Fix-compilation-of-PsCommentLexer.cpp-on-platforms-w.patch
    - upstream_fix-arm-FTBFS.patch
  * Remove kde-runtime-dbg package, migrate to -dbgsym.
  * Add fix_fbtfs_armfh_opengl.diff
  * Update installed files in debian/rules to skip some files on armhf.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 12 Oct 2016 21:17:50 +0100

calligra (1:2.9.7-0ubuntu18) yakkety; urgency=medium

  * Compile without libopenexr-dev to avoid ambiguous references between
    openexr `::half` and `::Eigen::half_impl::half`.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 18 Aug 2016 14:31:26 +0100

calligra (1:2.9.7-0ubuntu17) yakkety; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Aug 2016 08:12:52 +0000

calligra (1:2.9.7-0ubuntu16) yakkety; urgency=medium

  * Undo accidental libopenjpeg2-dev build-dependency in prev. upload 

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 17 Jul 2016 20:11:26 -0400

calligra (1:2.9.7-0ubuntu15) yakkety; urgency=medium

  * Build-depend on libpqxx-dev instead of libpqxx3-dev 

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 17 Jul 2016 19:53:00 -0400

calligra (1:2.9.7-0ubuntu14) yakkety; urgency=medium

  * No-change rebuild against new poppler

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 25 May 2016 09:57:46 +1200

calligra (1:2.9.7-0ubuntu13) yakkety; urgency=medium

  * No-change rebuild for libpng soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 23 Apr 2016 00:00:00 +0000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: calligra
 Section: kde
 Priority: optional
-Maintainer: Mike Purtell (mmikeinsantarosa) <maintainer@mepiscommunity.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Adrien Grellier <adrien.grellier@laposte.net>,
            Raúl Sánchez Siles <rasasi78@gmail.com>
 Build-Depends: cauchy-dev,
                cmake (>= 2.6.2),
                debhelper (>= 9),
+               default-jdk,
                freetds-dev,
                kdelibs5-dev (>= 4:4.4.0),
                kdepimlibs5-dev (>= 4:4.4.3),
@@ -20,14 +21,17 @@
                libfftw3-dev,
                libfontconfig1-dev,
                libfreetype6-dev,
+               libgit2-dev,
                libglew-dev [!armel !armhf !arm64],
                libglib2.0-dev,
-               libgsl0-dev,
+               libgsl-dev,
                libicu-dev,
                libjpeg-dev,
                libkactivities-dev,
                libkdcraw-dev (>= 4:4.4.3),
+               libkf5kdelibs4support-dev,
                liblcms2-dev,
+               libmarble-dev,
                libmysqlclient-dev,
                libodfgen-dev,
                libopencolorio-dev [!armhf],
@@ -38,7 +42,7 @@
                libpoppler-private-dev,
                libpoppler-qt4-dev,
                libpq-dev,
-               libpqxx3-dev,
+               libpqxx-dev,
                libqca2-dev,
                libqt4-dev,
                libqt4-opengl-dev [!armhf],
@@ -54,19 +58,17 @@
                libxbase64-dev,
                libxi-dev,
                okular-dev (>= 4:4.12.90),
+               pkg-config,
                pkg-kde-tools (>= 0.9),
+               postgresql-server-dev-all,
                pstoedit,
                shared-desktop-ontologies,
                shared-mime-info,
-               vc-dev [!powerpc !armhf !arm64 !ppc64el],
-               zlib1g-dev,
-               libmarble-dev,
-               libmariadb-client-lgpl-dev,
-               postgresql
+               zlib1g-dev
 Standards-Version: 3.9.6
 Homepage: http://www.calligra-suite.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/calligra
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/calligra
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/calligra
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/calligra
 X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-std/calligra.git
 X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-std/calligra.git
 
@@ -282,4 +284,3 @@
  offering color mixing and image deformations. Moreover, Krita has full
  support for graphics tablets, including such features as pressure, tilt and
  rate, making it a great choice for artists. There are easy to use tools for
- drawing lines, ellipses and rectangles, and the freehand tool is supported by

=== debian/rules ===
#!/usr/bin/make -f
export QT_SELECT=4
include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

lib_pkgs := calligra-libs

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --parallel --with kde --with sodeps

override_dh_auto_configure:
	dh_auto_configure -Skde -- -DKDE4_BUILD_TESTS=OFF -DPRODUCTSET=DESKTOP

override_dh_install:
	dh_movelibkdeinit
	dh_install --list-missing
	# On armhf we are building without OpenGL support
ifneq ($(DEB_HOST_ARCH),armhf)
	dh_install --autodest -pkrita usr/lib/kde4/kritalutdocker.so
	dh_install --autodest -pkrita usr/share/kde4/services/calligra/krita_lutdocker.desktop
	dh_install --autodest -pkrita usr/lib/calligra/imports/org/krita/draganddrop/libdraganddropplugin.so
	dh_install --autodest -pkrita usr/lib/calligra/imports/org/krita/draganddrop/qmldir
endif

override_dh_strip:
	dh_strip --dbgsym-migration='calligra-dbg (<< 1:2.9.11)'

override_dh_shlibdeps:
	dh_shlibdeps $(addprefix -p,$(lib_pkgs)) -- -xkde-runtime -xkdepim-runtime
	dh_shlibdeps --remaining-packages

.PHONY: override_dh_auto_test
